Bug 239126 - devel/fossil change daemon to log to syslog instead of /dev/null
Summary: devel/fossil change daemon to log to syslog instead of /dev/null
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-11 00:30 UTC by Tara
Modified: 2019-08-02 11:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gahr)


Attachments
diff change daemon to log to syslog instead of /dev/null (612 bytes, text/plain)
2019-07-11 00:30 UTC, Tara
no flags Details
make a flag var for daemon output, so it can be re-configured in the future (672 bytes, patch)
2019-07-11 16:35 UTC, Tara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tara 2019-07-11 00:30:18 UTC
Created attachment 205679 [details]
diff change daemon to log to syslog instead of /dev/null

patch for fossil to use daemon -S -T fossil

fossil runs daemon -f which forces all output of fossil to /dev/null, which makes it terrible to debug when something goes wrong at startup.

change this to daemon -S -T fossil, so logs go to syslog and tagged with 'fossil', so that it's much easier to tell when something is going wrong.

see attached diff.
Comment 1 Tara 2019-07-11 16:35:03 UTC
Created attachment 205702 [details]
make a flag var for daemon output, so it can be re-configured in the future


This makes a var daemon_output_flags that can be overridden by rc/service in the future at a global level to make debugging easier, but sets sane defaults to dump logs to syslog and tagged with the name of the service.

Thanks RhodiumToad, kevans91, swills and koobs from #freebsd for helping me get here.
Comment 2 Pietro Cerutti freebsd_committer 2019-07-22 10:37:35 UTC
I made a comment on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239144#c3
Comment 3 commit-hook freebsd_committer 2019-08-02 11:13:14 UTC
A commit references this bug:

Author: gahr
Date: Fri Aug  2 11:13:06 UTC 2019
New revision: 507867
URL: https://svnweb.freebsd.org/changeset/ports/507867

Log:
  devel/fossil: enable logging to syslog, bump PORTREVISION

  PR:		239126 (based on)
  Submitted by:	Tara <tara@anne.cat>

Changes:
  head/devel/fossil/Makefile
  head/devel/fossil/files/fossil.in
Comment 4 Pietro Cerutti freebsd_committer 2019-08-02 11:17:37 UTC
I've committed the functionality to log to syslog, but without a reference to a global rc variable: I second John's comment on bug 239124, comment #8.